diff --git a/nptl/sysdeps/unix/sysv/linux/i386/Implies b/nptl/sysdeps/unix/sysv/linux/i386/Implies
deleted file mode 100644
index ccc7eaa..0000000
--- a/nptl/sysdeps/unix/sysv/linux/i386/Implies
+++ /dev/null
@@ -1 +0,0 @@
-unix/sysv/linux/x86
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/createthread.c b/sysdeps/unix/sysv/linux/i386/createthread.c
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/createthread.c
rename to sysdeps/unix/sysv/linux/i386/createthread.c
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/dl-sysdep.h b/sysdeps/unix/sysv/linux/i386/dl-sysdep.h
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/dl-sysdep.h
rename to sysdeps/unix/sysv/linux/i386/dl-sysdep.h
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/libc-lowlevellock.S b/sysdeps/unix/sysv/linux/i386/i486/libc-lowlevellock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/libc-lowlevellock.S
rename to sysdeps/unix/sysv/linux/i386/i486/libc-lowlevellock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/lowlevellock.S b/sysdeps/unix/sysv/linux/i386/i486/lowlevellock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/lowlevellock.S
rename to sysdeps/unix/sysv/linux/i386/i486/lowlevellock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/lowlevelrobustlock.S b/sysdeps/unix/sysv/linux/i386/i486/lowlevelrobustlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/lowlevelrobustlock.S
rename to sysdeps/unix/sysv/linux/i386/i486/lowlevelrobustlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_barrier_wait.S b/sysdeps/unix/sysv/linux/i386/i486/pthread_barrier_wait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_barrier_wait.S
rename to sysdeps/unix/sysv/linux/i386/i486/pthread_barrier_wait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_broadcast.S b/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_broadcast.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_broadcast.S
rename to sysdeps/unix/sysv/linux/i386/i486/pthread_cond_broadcast.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_signal.S b/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_signal.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_signal.S
rename to sysdeps/unix/sysv/linux/i386/i486/pthread_cond_signal.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S b/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S
rename to sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S b/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S
rename to sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_rdlock.S b/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_rdlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_rdlock.S
rename to sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_rdlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_timedrdlock.S b/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_timedrdlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_timedrdlock.S
rename to sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_timedrdlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_timedwrlock.S b/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_timedwrlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_timedwrlock.S
rename to sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_timedwrlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_unlock.S b/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_unlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_unlock.S
rename to sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_unlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_wrlock.S b/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_wrlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_wrlock.S
rename to sysdeps/unix/sysv/linux/i386/i486/pthread_rwlock_wrlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/sem_post.S b/sysdeps/unix/sysv/linux/i386/i486/sem_post.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/sem_post.S
rename to sysdeps/unix/sysv/linux/i386/i486/sem_post.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/sem_timedwait.S b/sysdeps/unix/sysv/linux/i386/i486/sem_timedwait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/sem_timedwait.S
rename to sysdeps/unix/sysv/linux/i386/i486/sem_timedwait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/sem_trywait.S b/sysdeps/unix/sysv/linux/i386/i486/sem_trywait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/sem_trywait.S
rename to sysdeps/unix/sysv/linux/i386/i486/sem_trywait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i486/sem_wait.S b/sysdeps/unix/sysv/linux/i386/i486/sem_wait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i486/sem_wait.S
rename to sysdeps/unix/sysv/linux/i386/i486/sem_wait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/libc-lowlevellock.S b/sysdeps/unix/sysv/linux/i386/i586/libc-lowlevellock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/libc-lowlevellock.S
rename to sysdeps/unix/sysv/linux/i386/i586/libc-lowlevellock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/lowlevellock.S b/sysdeps/unix/sysv/linux/i386/i586/lowlevellock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/lowlevellock.S
rename to sysdeps/unix/sysv/linux/i386/i586/lowlevellock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/lowlevelrobustlock.S b/sysdeps/unix/sysv/linux/i386/i586/lowlevelrobustlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/lowlevelrobustlock.S
rename to sysdeps/unix/sysv/linux/i386/i586/lowlevelrobustlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_barrier_wait.S b/sysdeps/unix/sysv/linux/i386/i586/pthread_barrier_wait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_barrier_wait.S
rename to sysdeps/unix/sysv/linux/i386/i586/pthread_barrier_wait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_broadcast.S b/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_broadcast.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_broadcast.S
rename to sysdeps/unix/sysv/linux/i386/i586/pthread_cond_broadcast.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_signal.S b/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_signal.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_signal.S
rename to sysdeps/unix/sysv/linux/i386/i586/pthread_cond_signal.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_timedwait.S b/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_timedwait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_timedwait.S
rename to sysdeps/unix/sysv/linux/i386/i586/pthread_cond_timedwait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_wait.S b/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_wait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_wait.S
rename to sysdeps/unix/sysv/linux/i386/i586/pthread_cond_wait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_rdlock.S b/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_rdlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_rdlock.S
rename to sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_rdlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_timedrdlock.S b/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_timedrdlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_timedrdlock.S
rename to sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_timedrdlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_timedwrlock.S b/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_timedwrlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_timedwrlock.S
rename to sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_timedwrlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_unlock.S b/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_unlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_unlock.S
rename to sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_unlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_wrlock.S b/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_wrlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_wrlock.S
rename to sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_wrlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/sem_post.S b/sysdeps/unix/sysv/linux/i386/i586/sem_post.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/sem_post.S
rename to sysdeps/unix/sysv/linux/i386/i586/sem_post.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/sem_timedwait.S b/sysdeps/unix/sysv/linux/i386/i586/sem_timedwait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/sem_timedwait.S
rename to sysdeps/unix/sysv/linux/i386/i586/sem_timedwait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/sem_trywait.S b/sysdeps/unix/sysv/linux/i386/i586/sem_trywait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/sem_trywait.S
rename to sysdeps/unix/sysv/linux/i386/i586/sem_trywait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/sem_wait.S b/sysdeps/unix/sysv/linux/i386/i586/sem_wait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/sem_wait.S
rename to sysdeps/unix/sysv/linux/i386/i586/sem_wait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/dl-sysdep.h b/sysdeps/unix/sysv/linux/i386/i686/dl-sysdep.h
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/dl-sysdep.h
rename to sysdeps/unix/sysv/linux/i386/i686/dl-sysdep.h
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/libc-lowlevellock.S b/sysdeps/unix/sysv/linux/i386/i686/libc-lowlevellock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/libc-lowlevellock.S
rename to sysdeps/unix/sysv/linux/i386/i686/libc-lowlevellock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/lowlevellock.S b/sysdeps/unix/sysv/linux/i386/i686/lowlevellock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/lowlevellock.S
rename to sysdeps/unix/sysv/linux/i386/i686/lowlevellock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/lowlevelrobustlock.S b/sysdeps/unix/sysv/linux/i386/i686/lowlevelrobustlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/lowlevelrobustlock.S
rename to sysdeps/unix/sysv/linux/i386/i686/lowlevelrobustlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_barrier_wait.S b/sysdeps/unix/sysv/linux/i386/i686/pthread_barrier_wait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_barrier_wait.S
rename to sysdeps/unix/sysv/linux/i386/i686/pthread_barrier_wait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_broadcast.S b/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_broadcast.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_broadcast.S
rename to sysdeps/unix/sysv/linux/i386/i686/pthread_cond_broadcast.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_signal.S b/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_signal.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_signal.S
rename to sysdeps/unix/sysv/linux/i386/i686/pthread_cond_signal.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_timedwait.S b/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_timedwait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_timedwait.S
rename to sysdeps/unix/sysv/linux/i386/i686/pthread_cond_timedwait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_wait.S b/sysdeps/unix/sysv/linux/i386/i686/pthread_cond_wait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_cond_wait.S
rename to sysdeps/unix/sysv/linux/i386/i686/pthread_cond_wait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_rdlock.S b/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_rdlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_rdlock.S
rename to sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_rdlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_timedrdlock.S b/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_timedrdlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_timedrdlock.S
rename to sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_timedrdlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_timedwrlock.S b/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_timedwrlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_timedwrlock.S
rename to sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_timedwrlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_unlock.S b/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_unlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_unlock.S
rename to sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_unlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_wrlock.S b/sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_wrlock.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/pthread_rwlock_wrlock.S
rename to sysdeps/unix/sysv/linux/i386/i686/pthread_rwlock_wrlock.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/sem_post.S b/sysdeps/unix/sysv/linux/i386/i686/sem_post.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/sem_post.S
rename to sysdeps/unix/sysv/linux/i386/i686/sem_post.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/sem_timedwait.S b/sysdeps/unix/sysv/linux/i386/i686/sem_timedwait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/sem_timedwait.S
rename to sysdeps/unix/sysv/linux/i386/i686/sem_timedwait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/sem_trywait.S b/sysdeps/unix/sysv/linux/i386/i686/sem_trywait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/sem_trywait.S
rename to sysdeps/unix/sysv/linux/i386/i686/sem_trywait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i586/sem_wait.S b/sysdeps/unix/sysv/linux/i386/i686/sem_wait.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i586/sem_wait.S
rename to sysdeps/unix/sysv/linux/i386/i686/sem_wait.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/i786/Implies b/sysdeps/unix/sysv/linux/i386/i786/Implies
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/i786/Implies
rename to sysdeps/unix/sysv/linux/i386/i786/Implies
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/lowlevellock.h b/sysdeps/unix/sysv/linux/i386/lowlevellock.h
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/lowlevellock.h
rename to sysdeps/unix/sysv/linux/i386/lowlevellock.h
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/pthread_once.S b/sysdeps/unix/sysv/linux/i386/pthread_once.S
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/pthread_once.S
rename to sysdeps/unix/sysv/linux/i386/pthread_once.S
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/smp.h b/sysdeps/unix/sysv/linux/i386/smp.h
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/smp.h
rename to sysdeps/unix/sysv/linux/i386/smp.h
diff --git a/nptl/sysdeps/unix/sysv/linux/i386/sysdep-cancel.h b/sysdeps/unix/sysv/linux/i386/sysdep-cancel.h
similarity index 100%
rename from nptl/sysdeps/unix/sysv/linux/i386/sysdep-cancel.h
rename to sysdeps/unix/sysv/linux/i386/sysdep-cancel.h